%define tarball xf86-video-savage
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%define cvsdate xxxxxxx

%ifarch %{ix86} x86_64 ia64
%define with_dri        1
%else
%define with_dri        0
%endif

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Xorg X11 savage video driver
Name:      	xorg-x11-drv-savage
Version:   	2.1.3
Release:   	2
URL:       	http://www.x.org
License:   	MIT/X11
Group:     	User Interface/X Hardware Support
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:   	ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source1:   	savage.xinf


ExclusiveArch: 	%{ix86} x86_64

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-server-sdk
%if %{with_dri}
BuildRequires: 	mesa-libGL-devel >= 6.5.1
BuildRequires: 	libdrm-devel
%endif

Requires:  	xorg-x11-server-Xorg >= 1.1.1

%description 
X.Org X11 savage video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static \
%if %{with_dri}
           --enable-dri
%else
           --disable-dri
%endif

make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/savage_drv.so
%{_datadir}/hwdata/videoaliases/savage.xinf
%{_mandir}/man4/savage.4*

%changelog
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.1.3-2
- rebuilt against X.org 7.3
* Sun Aug 19 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.1.3-1
- version update
* Fri Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.1.2-1
- version update
* Tue Sep 12 2006 Christian Metzen <metzench@ccux-linux.de> 2.1.1-1
- Initial release
